##
##  pgp.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_short 6.5
%define       V_long  6.5.8
%define       V_strip 658

#   package information
Name:         pgp
Summary:      Pretty Good Privacy
URL:          http://www.pgpi.org/
Vendor:       Philip Zimmerman
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Cryptography
License:      GPL
Version:      %{V_long}
Release:      20021122

#   list of sources
Source0:      ftp://ftp.pgpi.org/pub/pgp/%{V_short}/%{V_long}/pgpsrc%{V_strip}unix.tar.gz
Patch0:       pgpsrc%{V_strip}unix.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021120
PreReq:       OpenPKG, openpkg >= 20021120
AutoReq:      no
AutoReqProv:  no

%description
    PGP (Pretty Good Privacy) is a public key encryption program
    originally written by Phil Zimmermann in 1991.

%prep
    %setup -c -n pgp-%{V_long}
    rm -rf pgpsrc pgp-%{V_long}
    %{l_gzip} -d -c %{SOURCE pgpsrc%{V_strip}unix.tar.gz} | %{l_tar} xf -
    %{l_gzip} -d -c pgpsrc%{V_strip}unix.tar.gz | %{l_tar} xf -
    cd pgpsrc
    %{l_patch} -p0 <%{SOURCE pgpsrc%{V_strip}unix.patch}

%build
    cd pgpsrc
    ( cd libs/pfl
      CC="%{l_cc}" CFLAGS="%{l_cflags -O}" ./configure
      %{l_make} %{l_mflags} OPT="%{l_cflags -O}" DEBUG=0
    )
    ( cd libs/pgpcdk
      CC="%{l_cc}" CFLAGS="%{l_cflags -O}" ./configure
      %{l_make} %{l_mflags} headers
      %{l_make} %{l_mflags} OPT="%{l_cflags -O}" DEBUG=0
    )
    ( cd clients/pgp/shared
      CC="%{l_cc}" CFLAGS="%{l_cflags -O}" ./configure
      %{l_make} %{l_mflags} OPT="%{l_cflags -O}" DEBUG=0
    )
    ( cd clients/pgp/cmdline
      CFLAGS="%{l_cflags -O}"
      case "%{l_target}" in
          *-freebsd* ) CFLAGS="$CFLAGS -pthread" ;;
      esac
      CC="%{l_cc}" CFLAGS="$CFLAGS" LIBS="$LIBS" ./configure
      %{l_make} %{l_mflags} OPT="%{l_cflags -O}" DEBUG=0
    )

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    ( cd pgpsrc/clients/pgp/cmdline
      %{l_shtool} install -c -s -m 755 \
          pgp $RPM_BUILD_ROOT%{l_prefix}/bin/
      %{l_shtool} install -c -m 644 \
          packaging/pgp-*/man/man1/pgp.1 \
          $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    )
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

